--init.lua
--all the goods go here
AddCSLuaFile("cl_init.lua")
AddCSLuaFile("shared.lua")
include("shared.lua")

function ENT:Initialize()
	self:SetModel("models/props_interiors/VendingMachineSoda01a.mdl")
	self:PhysicsInit(SOLID_VPHYSICS)
	self:SetMoveType(MOVETYPE_VPHYSICS)
	self:SetSolid(SOLID_VPHYSICS)
	local phys = self:GetPhysicsObject()
	if phys:IsValid() then phys:Wake() end
	self:SetUseType(SIMPLE_USE)
	self:SetPos(Vector(self:GetPos().x, self:GetPos().y, self:GetPos().z + 50))
end

function ENT:PhysicsCollide(cd, col)
	if gmod.GetGamemode().Name != "DarkRP" then return end
	
	local ang = self:GetAngles()
	local spawnPos = self:GetPos() + (ang:Forward() * 20) - (ang:Up() * 25) + (ang:Right() * 5)
	
	local drugpayouts = {
		["durgz_heroine"] = "sv_st_heroin",
		["durgz_meth"] = "sv_st_meth",
		["durgz_aspirin"] = "sv_st_aspirin",
		["durgz_alcohol"] = "sv_st_alcohol",
		["durgz_lsd"] = "sv_st_lsd",
		["st_sludge"] = "sv_st_sludge",
		["durgz_cocaine"] = "sv_st_cocaine",
		["durgz_cigarette"] = "sv_st_cigarette",
		["durgz_weed"] = "sv_st_weed",
		["durgz_mushroom"] = "sv_st_mushroom"
	}
	
	local ent = cd.HitEntity
	local c = drugpayouts[ent:GetClass()]
	if c == nil then return end
	if ent.collide != nil then return end
	
	timer.Simple(0, function()
		if IsValid(ent) and IsValid(self) and !timer.Exists("drugmoneydelay" .. self:EntIndex()) then
			DarkRP.createMoneyBag(spawnPos, GetConVar(c):GetInt())
			ent:Remove()
			ent.collide = true
			timer.Create("drugmoneydelay" .. self:EntIndex(), 0.5, 1, function()
				timer.Remove("drugmoneydelay" .. self:EntIndex())
			end)
		end
	end)
end

function ENT:OnRemove()
	
end

function ENT:Think()
	
end

function ENT:Use(act, ply)
	if gmod.GetGamemode().Name == "DarkRP" then
		DarkRP.notify(ply, 3, 5, "This is a discreet drug bank.  Touch drugs to this entity to get money.")
	else
		ply:PrintMessage( HUD_PRINTTALK, "This is a discreet drug bank.  Touch drugs to this entity to make them disappear.")
	end
end