--cl_init

ENT.acetic = false
ENT.barley = false
ENT.caustic = false
ENT.hydrogen = false
ENT.morphine = false
ENT.muriatic = false
ENT.salicylic = false
ENT.yeast = false
ENT.water = false
ENT.lysergic = false
ENT.diethyl = false

include("shared.lua")

function ENT:Initialize()
end

function ENT:Draw()
	self:DrawModel()
	
	local Pos = self:GetPos()
	local Ang = self:GetAngles()
	
	surface.SetFont("DebugFixed")
	local TextWidth = surface.GetTextSize( "Ace" )
	
	Ang:RotateAroundAxis(Ang:Forward(), 90)
	Ang:RotateAroundAxis(Ang:Right(), 270)
	
	cam.Start3D2D(Pos + Ang:Up() * 30 - Ang:Right() * -20, Ang, 0.16)
		draw.WordBox(2, -TextWidth*0.5 - 15, -270, "Ac", "DebugFixed", Color(self.acetic and 0 or 255, self.acetic and 255 or 0, 0, 128), Color(255,255,255,255))
		draw.WordBox(2, -TextWidth*0.5 - 15, -240, "Cs", "DebugFixed", Color(self.caustic and 0 or 255, self.caustic and 255 or 0, 0, 128), Color(255,255,255,255))
		draw.WordBox(2, -TextWidth*0.5 - 15, -210, "Di", "DebugFixed", Color(self.diethyl and 0 or 255, self.diethyl and 255 or 0, 0, 128), Color(255,255,255,255))
		draw.WordBox(2, -TextWidth*0.5 - 15, -180, "HC", "DebugFixed", Color(self.hydrogen and 0 or 255, self.hydrogen and 255 or 0, 0, 128), Color(255,255,255,255))
		draw.WordBox(2, -TextWidth*0.5 - 15, -150, "Ly", "DebugFixed", Color(self.lysergic and 0 or 255, self.lysergic and 255 or 0, 0, 128), Color(255,255,255,255))
		
		draw.WordBox(2, -TextWidth*0.5 + 20, -270, "MB", "DebugFixed", Color(self.barley and 0 or 255, self.barley and 255 or 0, 0, 128), Color(255,255,255,255))
		draw.WordBox(2, -TextWidth*0.5 + 20, -240, "Mo", "DebugFixed", Color(self.morphine and 0 or 255, self.morphine and 255 or 0, 0, 128), Color(255,255,255,255))
		draw.WordBox(2, -TextWidth*0.5 + 20, -210, "Mu", "DebugFixed", Color(self.muriatic and 0 or 255, self.muriatic and 255 or 0, 0, 128), Color(255,255,255,255))
		draw.WordBox(2, -TextWidth*0.5 + 20, -180, "Sa", "DebugFixed", Color(self.salicylic and 0 or 255, self.salicylic and 255 or 0, 0, 128), Color(255,255,255,255))
		draw.WordBox(2, -TextWidth*0.5 + 20, -150, "Ye", "DebugFixed", Color(self.yeast and 0 or 255, self.yeast and 255 or 0, 0, 128), Color(255,255,255,255))
		
		draw.WordBox(2, -TextWidth*0.5, -115, "H2O", "DebugFixed", Color(self.water and 0 or 255, self.water and 255 or 0, 0, 128), Color(255,255,255,255))
	cam.End3D2D()
end

net.Receive( "sendingredientupdate", function()

	local me = net.ReadEntity()
	local ing = net.ReadString()
	
	if ing == "acetic" then me.acetic = true
	elseif ing == "barley" then me.barley = true
	elseif ing == "caustic" then me.caustic = true
	elseif ing == "hydrogen" then me.hydrogen = true
	elseif ing == "morphine" then me.morphine = true
	elseif ing == "muriatic" then me.muriatic = true
	elseif ing == "salicylic" then me.salicylic = true
	elseif ing == "yeast" then me.yeast = true
	elseif ing == "water" then me.water = true
	elseif ing == "lysergic" then me.lysergic = true
	elseif ing == "diethyl" then me.diethyl = true end
	
	if ing == "clear" then
		me.acetic = false
		me.barley = false
		me.caustic = false
		me.hydrogen = false
		me.morphine = false
		me.muriatic = false
		me.salicylic = false
		me.yeast = false
		me.water = false
		me.lysergic = false
		me.diethyl = false
	end

end )